<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<nav th:fragment="navbar (currentUser)" class="navigation navbar navbar-default">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="open-btn">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
        </div>
        <div id="navbar" class="navbar-collapse collapse navigation-holder navbar-right">
            <button class="close-navbar"><i class="ti-close"></i></button>
            <ul class="nav navbar-nav">
                <li><a th:href="@{/}" href="#">Home</a></li>
                <li><a th:if="${currentUser != null && currentUser.isCustomer()}" th:href="@{/#services}" href="#">Our Services</a></li>
                <li><a th:if="${currentUser == null}" th:href="@{/#services}" href="#">Our Services</a></li>
                <li><a th:if="${currentUser != null && currentUser.isEmployee()}" th:href="@{/visits}" href="#">Visits</a></li>
                <li><a th:if="${currentUser != null && currentUser.isCustomer()}" th:href="@{/visits}" href="#">My Visits</a></li>
                <li><a th:if="${currentUser != null && currentUser.isEmployee()}" th:href="@{/customers}" href="#">Customers</a></li>
                <li><a th:if="${currentUser != null && currentUser.isEmployee()}" th:href="@{/vehicles}" href="#">Vehicles</a></li>
                <li><a th:if="${currentUser != null && currentUser.isCustomer()}" th:href="@{/vehicles}" href="#">My Vehicles</a></li>
                <li><a th:if="${currentUser != null && currentUser.isEmployee()}" th:href="@{/services}" href="#">Services</a></li>
                <li>
                    <a th:if="${currentUser != null && currentUser.isCustomer()}"
                       th:href="@{/profile}" href="#">My Profile</a>
                </li>
                <li ><a class="theme-btn-s2" th:if="${currentUser == null}" th:href="@{/login}" href="#">Login</a></li>
                <li ><a th:if="${currentUser != null}" th:href="@{/logout}" href="#">Logout</a></li>
            </ul>
        </div><!-- end of nav-collapse -->
        <div class="search-quote">
            <div class="header-search-area">
                <div class="header-search-form">
                    <form class="form">
                        <div>
                            <input type="text" class="form-control" placeholder="Search here">
                        </div>
                        <button type="submit" class="btn"><i class="fa fa-search"></i></button>
                    </form>
                </div>
                <div>
                    <button class="btn open-btn"><i class="fa fa-search"></i></button>
                </div>
            </div>
        </div>
    </div><!-- end of container -->
</nav>
</body>
</html>